Package com.saxonica.trans

## Class ModePE

- java.lang.Object
- - net.sf.saxon.expr.instruct.Actor
  - - net.sf.saxon.trans.Mode
    - - net.sf.saxon.trans.SimpleMode
      - - com.saxonica.trans.ModePE

- All Implemented Interfaces:
    `javax.xml.transform.SourceLocator`, `ExpressionOwner`, `Location`, `org.xml.sax.Locator`
  Direct Known Subclasses:
    `ModeEE`

      public class ModePE
      extends SimpleMode

  The Mode class for use in Saxon-PE, which may contain additional XSLT3.0 features This is subclassed in Saxon-EE to add optimisation features

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.SimpleMode

      `SimpleMode.RuleGroupAction`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.Mode

      `Mode.RuleAction, Mode.RuleFilter`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.trans.SimpleMode

      `atomicValueRuleChain, commentRuleChain, documentRuleChain, functionItemRuleChain, genericRuleChain, namedAttributeRuleChains, namedElementRuleChains, namespaceRuleChain, processingInstructionRuleChain, qNamedAttributeRuleChains, qNamedElementRuleChains, textRuleChain, unnamedAttributeRuleChain, unnamedElementRuleChain`

    - ### Fields inherited from class net.sf.saxon.trans.Mode

      `DEFAULT_MODE_NAME, modeName, mustBeTyped, mustBeUntyped, OMNI_MODE, RECOVER_WITH_WARNINGS, UNNAMED_MODE_NAME`

    - ### Fields inherited from class net.sf.saxon.expr.instruct.Actor

      `body`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModePE​(StructuredQName modeName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `prepareStreamability()` | Prepare for possible streamability - probably eventually in EE

    - ### Methods inherited from class net.sf.saxon.trans.SimpleMode

      `addRule, addRule, addRuleToNamedOrUnnamedChain, allocateAllBindingSlots, allocateAllPatternSlots, allocatePatternSlots, checkForConflictingProperties, computeRankings, computeStreamability, copyRules, explainTemplateRules, exportTemplateRules, forceAllocateAllBindingSlots, getActivePart, getBuiltInRuleSet, getExplicitNamespaces, getLabel, getMaxPrecedence, getMaxRank, getNamedRuleChain, getPropertyValue, getRule, getRule, getStackFrameSlotsNeeded, invertStreamableTemplates, isEmpty, makeRule, makeRuleSearchState, optimizeRules, processRuleChain, processRuleChain, processRuleChains, processRules, processRules, reportAmbiguity, ruleMatches, searchRuleChain, searchRuleChain, setBuiltInRuleSet, setExplicitProperty, setGroup, setStackFrameSlotsNeeded`

    - ### Methods inherited from class net.sf.saxon.trans.Mode

      `applyTemplates, explain, export, exportUseAccumulators, getAccumulators, getBuiltInRuleSetForCode, getCodeForBuiltInRuleSet, getDeclaringComponent, getDefaultResultType, getModeName, getModeTitle, getNextMatchRule, getObjectName, getRecoveryPolicy, getRule, getSymbolicName, isDeclaredStreamable, isModeTracing, isMustBeTyped, isUnnamedMode, makeNewContext, setAccumulators, setDefaultResultType, setHasRules, setModeTracing, setRecoveryPolicy, setStreamable`

    - ### Methods inherited from class net.sf.saxon.expr.instruct.Actor

      `allocateBindingSlotsRecursive, getBody, getChildExpression, getColumnNumber, getComponentName, getDeclaredVisibility, getLineNumber, getLocation, getPackageData, getProperties, getProperty, getPublicId, getRetainedStaticContext, getStackFrameMap, getSystemId, getTracingTag, isExportable, makeDeclaringComponent, obtainDeclaringComponent, saveLocation, setBody, setChildExpression, setColumnNumber, setDeclaredVisibility, setDeclaringComponent, setLineNumber, setPackageData, setRetainedStaticContext, setStackFrameMap, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModePE

          public ModePE​(StructuredQName modeName)

  - ### Method Detail

    - #### prepareStreamability

          public void prepareStreamability()
                                    throws XPathException

      Prepare for possible streamability - probably eventually in EE
      Overrides:
        `prepareStreamability` in class `SimpleMode`
      Throws:
        `XPathException`